using System;

namespace Freelenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int[] zarade = new int[N];
            double[] procenti = new double[N];
            double maxZarada = 0;

            for (int i = 0; i < N; i++)
            {
                string[] ulaz = Console.ReadLine().Split(' ');
                zarade[i] = int.Parse(ulaz[0]);
                procenti[i] = double.Parse(ulaz[1]);
            }

            for (int i = 0; i < N; i++)
            {
                double sumaZaradaPoProcentima = 0;
                for (int j = 0; j < N; j++) {
                    if (procenti[j] >= procenti[i])
                    {
                        sumaZaradaPoProcentima += zarade[j];
                    }
                }

                double zarada = sumaZaradaPoProcentima * (procenti[i]/100);
                if (zarada > maxZarada)
                {
                    maxZarada = zarada;
                }
            }

            Console.WriteLine(maxZarada);
        }
    }
}